// XORDialog.java                                   MM 2014
// Startklasse

import java.io.*;                           // Datenstreams

/**
 * Startet den Dialog.
 * Aufruf:
 * java XOR <Quelldatei> <Zieldatei> <Schluessel>.
 */
public class XORDialog
{
  public static void main( String[] args)
  {
    XOR model = new XOR();

    try
    {
      String originalDatei = args[ 0];
      String codierteDatei = args[ 1];
      int schluessel = Integer.parseInt( args[ 2]);

                  // Original --> codieren --> Codiert
// Original aus Datei lesen
      model.liesAusDatei( originalDatei);
      System.out.println
      ( "Origlnal:\n" + model.getGeladen());

// Kodieren
      model.codieren( schluessel);
      System.out.println
      ( "Codiert:\n" + model.getCodiert());

// Code in Datei schreiben
      model.schreibeInDatei( codierteDatei);
    }
 
// Kommandozeile unvollstaendig
    catch( ArrayIndexOutOfBoundsException e)
    {
      System.err.print( "Aufruf: ");
      System.err.println
      ( "java XOR <Quelldatei> <Zieldatei> <Schluessel>");
    }

// Datei existiert nicht
    catch( FileNotFoundException e)
    {
      System.err.println
      ( "Die Datei > " + args[ 0] + " < existiert nicht!");
    }

// Fehlerbehandlung allgemein
    catch( Exception e)
    {
      System.err.println( "Fehler: " + e);
    }
  }
}

/* ----------------------------------------------------- */
                                       // Testbeispiele
/*
 Aufruf:
   java XOR Auto.txt XORAuto.txt 16
   java XOR Gedicht.txt XORGedicht.txt 123
   java XOR XORGedicht.txt Gedicht.txt 123
*/
